public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/
@ 2024-02-24 16:07 orbea
  0 siblings, 0 replies; 6+ messages in thread
From: orbea @ 2024-02-24 16:07 UTC (permalink / raw
  To: gentoo-commits

commit:     5f429107d3ce3950cc33a93602947e855f9ec927
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Sat Feb 24 16:05:57 2024 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Sat Feb 24 16:05:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=5f429107

dev-libs/libressl: don't export internal symbols

Closes: https://github.com/gentoo/libressl/issues/549
Signed-off-by: orbea <orbea <AT> riseup.net>

 ...3.7.3-libcrypto-unexport-internal-symbols.patch | 234 +++++++++++++++++++++
 dev-libs/libressl/libressl-3.7.3-r1.ebuild         |  74 +++++++
 2 files changed, 308 insertions(+)

diff --git a/dev-libs/libressl/files/libressl-3.7.3-libcrypto-unexport-internal-symbols.patch b/dev-libs/libressl/files/libressl-3.7.3-libcrypto-unexport-internal-symbols.patch
new file mode 100644
index 0000000..40cc470
--- /dev/null
+++ b/dev-libs/libressl/files/libressl-3.7.3-libcrypto-unexport-internal-symbols.patch
@@ -0,0 +1,234 @@
+https://github.com/gentoo/libressl/issues/549
+https://github.com/libressl/portable/pull/808
+
+From b38f5a8904b83d433e967f683821ca992354551b Mon Sep 17 00:00:00 2001
+From: Brent Cook <busterb@gmail.com>
+Date: Sun, 18 Dec 2022 21:39:58 -0600
+Subject: [PATCH 1/4] fix dangling whitespace when building object list
+
+breaks latest macOS linker to have a directory in the object list
+---
+ tls/Makefile.am | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/tls/Makefile.am b/tls/Makefile.am
+index 9b62b2231e..d5725c362a 100644
+--- a/tls/Makefile.am
++++ b/tls/Makefile.am
+@@ -16,7 +16,7 @@ EXTRA_libtls_la_DEPENDENCIES = libtls_la_objects.mk
+ 
+ libtls_la_objects.mk: Makefile
+ 	@echo "libtls_la_objects= $(libtls_la_OBJECTS)" \
+-	  | sed 's/  */ $$\(abs_top_builddir\)\/tls\//g' \
++	  | sed -e 's/ *$$//' -e 's/  */ $$\(abs_top_builddir\)\/tls\//g' \
+ 	  > libtls_la_objects.mk
+ 
+ libtls_la_LDFLAGS = -version-info @LIBTLS_VERSION@ -no-undefined -export-symbols $(top_srcdir)/tls/tls.sym
+
+From cfbdf67f5960198363f56b06f6a4f88aa8654d10 Mon Sep 17 00:00:00 2001
+From: Brent Cook <busterb@gmail.com>
+Date: Sun, 18 Dec 2022 22:10:11 -0600
+Subject: [PATCH 2/4] link internal apps statically
+
+---
+ apps/nc/Makefile.am        | 11 +++++++----
+ apps/ocspcheck/Makefile.am | 12 +++++++++---
+ apps/openssl/Makefile.am   |  9 +++++++--
+ 3 files changed, 23 insertions(+), 9 deletions(-)
+
+diff --git a/apps/nc/Makefile.am b/apps/nc/Makefile.am
+index e9db6e592b..aba306ed3b 100644
+--- a/apps/nc/Makefile.am
++++ b/apps/nc/Makefile.am
+@@ -1,6 +1,8 @@
+ include $(top_srcdir)/Makefile.am.common
+ 
+ -include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
++-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
++-include $(abs_top_builddir)/tls/libtls_la_objects.mk
+ 
+ if BUILD_NC
+ 
+@@ -14,12 +16,13 @@ endif
+ EXTRA_DIST = nc.1
+ EXTRA_DIST += CMakeLists.txt
+ 
+-nc_LDADD = $(abs_top_builddir)/tls/libtls.la
+-nc_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
+-
+-nc_LDADD += $(libcrypto_la_objects)
++nc_LDADD = $(libcrypto_la_objects)
+ nc_LDADD += $(libcompat_la_objects)
+ nc_LDADD += $(libcompatnoopt_la_objects)
++nc_LDADD += $(libssl_la_objects)
++nc_LDADD += $(libtls_la_objects)
++
++nc_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
+ 
+ AM_CPPFLAGS += -I$(top_srcdir)/apps/nc/compat
+ 
+diff --git a/apps/ocspcheck/Makefile.am b/apps/ocspcheck/Makefile.am
+index 7c7b454313..e6f3c5436b 100644
+--- a/apps/ocspcheck/Makefile.am
++++ b/apps/ocspcheck/Makefile.am
+@@ -1,5 +1,9 @@
+ include $(top_srcdir)/Makefile.am.common
+ 
++-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
++-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
++-include $(abs_top_builddir)/tls/libtls_la_objects.mk
++
+ if !ENABLE_LIBTLS_ONLY
+ bin_PROGRAMS = ocspcheck
+ dist_man_MANS = ocspcheck.8
+@@ -10,9 +14,11 @@ endif
+ EXTRA_DIST = ocspcheck.8
+ EXTRA_DIST += CMakeLists.txt
+ 
+-ocspcheck_LDADD = $(abs_top_builddir)/crypto/libcrypto.la
+-ocspcheck_LDADD += $(abs_top_builddir)/ssl/libssl.la
+-ocspcheck_LDADD += $(abs_top_builddir)/tls/libtls.la
++ocspcheck_LDADD = $(libcrypto_la_objects)
++ocspcheck_LDADD += $(libcompat_la_objects)
++ocspcheck_LDADD += $(libcompatnoopt_la_objects)
++ocspcheck_LDADD += $(libssl_la_objects)
++ocspcheck_LDADD += $(libtls_la_objects)
+ ocspcheck_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
+ 
+ ocspcheck_SOURCES = http.c
+diff --git a/apps/openssl/Makefile.am b/apps/openssl/Makefile.am
+index 7cbac48ae6..9574e06339 100644
+--- a/apps/openssl/Makefile.am
++++ b/apps/openssl/Makefile.am
+@@ -1,5 +1,8 @@
+ include $(top_srcdir)/Makefile.am.common
+ 
++-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
++-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
++
+ if !ENABLE_LIBTLS_ONLY
+ bin_PROGRAMS = openssl
+ dist_man_MANS = openssl.1
+@@ -7,8 +10,10 @@ else
+ noinst_PROGRAMS = openssl
+ endif
+ 
+-openssl_LDADD = $(abs_top_builddir)/ssl/libssl.la
+-openssl_LDADD += $(abs_top_builddir)/crypto/libcrypto.la
++openssl_LDADD = $(libcrypto_la_objects)
++openssl_LDADD += $(libcompat_la_objects)
++openssl_LDADD += $(libcompatnoopt_la_objects)
++openssl_LDADD += $(libssl_la_objects)
+ openssl_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
+ 
+ openssl_SOURCES = apps.c
+
+From f261e8c46e5ce6a15638275b95d9d5c145d35d9c Mon Sep 17 00:00:00 2001
+From: Brent Cook <busterb@gmail.com>
+Date: Tue, 28 Feb 2023 08:34:39 -0600
+Subject: [PATCH 4/4] unexport internal compat symbols from libcrypto
+
+---
+ crypto/Makefile.am | 66 ----------------------------------------------
+ ssl/Makefile.am    |  4 +++
+ 2 files changed, 4 insertions(+), 66 deletions(-)
+
+diff --git a/crypto/Makefile.am b/crypto/Makefile.am
+index c09d266b2e..0b5ba3f99f 100644
+--- a/crypto/Makefile.am
++++ b/crypto/Makefile.am
+@@ -44,73 +44,7 @@ crypto_portable.sym: crypto.sym  Makefile
+ 	-echo "generating crypto_portable.sym ..."
+ 	-cp $(top_srcdir)/crypto/crypto.sym crypto_portable.sym
+ 	-chmod u+w crypto_portable.sym
+-if !HAVE_ARC4RANDOM_BUF
+-	-echo arc4random >> crypto_portable.sym
+-	-echo arc4random_buf >> crypto_portable.sym
+-	-echo arc4random_uniform >> crypto_portable.sym
+-if !HAVE_GETENTROPY
+-	-echo getentropy >> crypto_portable.sym
+-endif
+-endif
+-if !HAVE_ASPRINTF
+-	-echo asprintf >> crypto_portable.sym
+-	-echo vasprintf >> crypto_portable.sym
+-endif
+-if !HAVE_EXPLICIT_BZERO
+-	-echo explicit_bzero >> crypto_portable.sym
+-endif
+-if !HAVE_FREEZERO
+-	-echo freezero >> crypto_portable.sym
+-endif
+-if !HAVE_REALLOCARRAY
+-	-echo reallocarray >> crypto_portable.sym
+-endif
+-if !HAVE_RECALLOCARRAY
+-	-echo recallocarray >> crypto_portable.sym
+-endif
+-if !HAVE_STRLCAT
+-	-echo strlcat >> crypto_portable.sym
+-endif
+-if !HAVE_STRLCPY
+-	-echo strlcpy >> crypto_portable.sym
+-endif
+-if !HAVE_STRNDUP
+-	-echo strndup >> crypto_portable.sym
+-endif
+-if !HAVE_STRNLEN
+-	-echo strnlen >> crypto_portable.sym
+-endif
+-if !HAVE_STRSEP
+-	-echo strsep >> crypto_portable.sym
+-endif
+-if !HAVE_STRTONUM
+-	-echo strtonum >> crypto_portable.sym
+-endif
+-if !HAVE_TIMEGM
+-	-echo timegm >> crypto_portable.sym
+-endif
+-if !HAVE_TIMINGSAFE_BCMP
+-	-echo timingsafe_bcmp >> crypto_portable.sym
+-endif
+-if !HAVE_TIMINGSAFE_MEMCMP
+-	-echo timingsafe_memcmp >> crypto_portable.sym
+-endif
+-if HOST_CPU_IS_INTEL
+-	-echo OPENSSL_ia32cap_P >> crypto_portable.sym
+-endif
+ if HOST_WIN
+-	-echo posix_perror >> crypto_portable.sym
+-	-echo posix_fopen >> crypto_portable.sym
+-	-echo posix_fgets >> crypto_portable.sym
+-	-echo posix_open >> crypto_portable.sym
+-	-echo posix_rename >> crypto_portable.sym
+-	-echo posix_connect >> crypto_portable.sym
+-	-echo posix_close >> crypto_portable.sym
+-	-echo posix_read >> crypto_portable.sym
+-	-echo posix_write >> crypto_portable.sym
+-	-echo posix_getsockopt >> crypto_portable.sym
+-	-echo posix_setsockopt >> crypto_portable.sym
+-	-echo getuid >> crypto_portable.sym
+ 	-grep -v BIO_s_log crypto_portable.sym > crypto_portable.sym.tmp
+ 	-mv crypto_portable.sym.tmp crypto_portable.sym
+ endif
+diff --git a/ssl/Makefile.am b/ssl/Makefile.am
+index d27e2af835..002a26674a 100644
+--- a/ssl/Makefile.am
++++ b/ssl/Makefile.am
+@@ -1,5 +1,7 @@
+ include $(top_srcdir)/Makefile.am.common
+ 
++-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
++
+ AM_CPPFLAGS += -I$(top_srcdir)/crypto/bio
+ 
+ noinst_LTLIBRARIES = libbs.la
+@@ -34,6 +36,8 @@ remove_bs_objects: libssl.la
+ libssl_la_CPPFLAGS = -I$(top_srcdir)/ssl/hidden ${AM_CPPFLAGS}
+ libssl_la_LDFLAGS = -version-info @LIBSSL_VERSION@ -no-undefined -export-symbols $(top_srcdir)/ssl/ssl.sym
+ libssl_la_LIBADD = $(abs_top_builddir)/crypto/libcrypto.la $(PLATFORM_LDADD)
++libssl_la_LIBADD += $(libcompat_la_objects)
++libssl_la_LIBADD += $(libcompatnoopt_la_objects)
+ libssl_la_LIBADD += libbs.la
+ 
+ libbs_la_SOURCES = bs_ber.c

diff --git a/dev-libs/libressl/libressl-3.7.3-r1.ebuild b/dev-libs/libressl/libressl-3.7.3-r1.ebuild
new file mode 100644
index 0000000..a2beb54
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.7.3-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libressl.asc
+inherit autotools multilib-minimal verify-sig
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="
+	https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz
+	verify-sig? ( https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz.asc )
+"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/54"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="+asm netcat static-libs test"
+RESTRICT="!test? ( test )"
+
+PDEPEND="app-misc/ca-certificates"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-libressl )"
+RDEPEND="netcat? (
+	!net-analyzer/netcat
+	!net-analyzer/nmap[symlink]
+	!net-analyzer/openbsd-netcat
+)"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/openssl/opensslconf.h )
+
+# LibreSSL checks for libc features during configure
+QA_CONFIG_IMPL_DECL_SKIP=(
+	__va_copy
+	b64_ntop
+)
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	# Silences a Gentoo QA notice that is a false positive
+	# https://github.com/libressl/portable/issues/825
+	"${FILESDIR}"/${PN}-3.7.2-array-bounds.patch
+	# Gentoo's ssl-cert.eclass uses 'openssl genrsa -rand'
+	# which LibreSSL doesn't support.
+	# https://github.com/libressl/portable/issues/839
+	"${FILESDIR}"/${PN}-3.7.2-genrsa-rand.patch
+	# https://github.com/gentoo/libressl/issues/549
+	"${FILESDIR}"/${P}-libcrypto-unexport-internal-symbols.patch
+)
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+multilib_src_configure() {
+	local ECONF_SOURCE="${S}"
+	local args=(
+		$(use_enable asm)
+		$(use_enable static-libs static)
+		$(use_enable netcat nc)
+		$(use_enable test tests)
+	)
+	econf "${args[@]}"
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/
@ 2024-04-08 18:48 orbea
  0 siblings, 0 replies; 6+ messages in thread
From: orbea @ 2024-04-08 18:48 UTC (permalink / raw
  To: gentoo-commits

commit:     b47829f809bdf4af9f3399cf64a0f07ed19882d0
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Mon Apr  8 18:12:16 2024 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Mon Apr  8 18:12:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=b47829f8

dev-libs/libressl: drop 3.7.3-r1

Not supported upstream and fails tests with expired certs.

Signed-off-by: orbea <orbea <AT> riseup.net>

 dev-libs/libressl/Manifest                         |   2 -
 .../files/libressl-3.7.2-array-bounds.patch        |  24 ---
 ...3.7.3-libcrypto-unexport-internal-symbols.patch | 234 ---------------------
 dev-libs/libressl/libressl-3.7.3-r1.ebuild         |  74 -------
 4 files changed, 334 deletions(-)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index 470ad6d..ac00a00 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -1,5 +1,3 @@
-DIST libressl-3.7.3.tar.gz 4337594 BLAKE2B e335e5b6080e4165c5c4088f7c79cef3fcc79274ad71294afec2bc67cfdb77aeb2f16ca70056994bb526035c8d98421d5dea993f28258cae175b76df7e67f984 SHA512 657942b5c127c2478ba29fc29b8bfd607ffd64e73646c01aa570e62776175e880f6d32762de9b95bb944608a195f9a958a1dd87bbd5ef473c4b1d06c63041fdd
-DIST libressl-3.7.3.tar.gz.asc 833 BLAKE2B 3b41ed454cb13fc6e830a0142e41cdbb7fd2a861a2b9a2f9acb56cbc20c266a7a8343d864b44c06ca748ffd7fbd3d2b67766885bab6f3674ace1d98c4ae1f4d8 SHA512 89043da91ca2218816f8ba3e5c87b6e0bb0980272eb9aafbf6480e1e5f573a46e723fbca1f25f9902ef204d50fbf4c760cd6c7bd9ee3ee64851805064f7b3cb7
 DIST libressl-3.8.3.tar.gz 4475058 BLAKE2B f29ca56e6a717c09efd2510c97ef38a4f037b38352c3b02badad9db841c636628cbebdd9a1f69e9138fee038764326559939b0221bf335aaf03b415f4fe92d66 SHA512 b8107fc809d5a095a49cebe3192a9b609441dfaa86c7bee472c34c177854d1d8ca983eb071828593f98e0c161f75176dabeefe6067ba417b2ecbaea5aa20645f
 DIST libressl-3.8.3.tar.gz.asc 833 BLAKE2B 752c161854cbeeb3ff3e6d921728f723d4ae1dd391cf41a266fee3bb1575664b2608481db26706fb239469888ae0885194cfa727c59c4c0339d3962155594aa9 SHA512 a2a9e5e0cf6387674c7af9ca07531eee294e3c1c90862082af6d7aafc1953b1bb8ff79172ac2c6e2b9113c462622a7e4feb2a28824721288cb30d9b6ab21fa8a
 DIST libressl-3.8.4.tar.gz 4467303 BLAKE2B 7ae939e012e1a8d98814e28caec86d5f36f7e01250f6201f6d46aa5a236a8fc0619b6bbe24d6ff70eb65eae767e9d43f26a714df317a1fd2b2dea0c0177ba50d SHA512 b8986a9e2c0a1f912770d2e55ed39b3ca0c072b8c98ecf2d22a3d36768c36b6f4588698dd248d8b585db1bd0a74f8995cc09a0ca3e707e680d87d4fa169f8941

diff --git a/dev-libs/libressl/files/libressl-3.7.2-array-bounds.patch b/dev-libs/libressl/files/libressl-3.7.2-array-bounds.patch
deleted file mode 100644
index 7ebdc33..0000000
--- a/dev-libs/libressl/files/libressl-3.7.2-array-bounds.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-https://github.com/libressl/portable/issues/825
-
---- a/include/openssl/crypto.h
-+++ b/include/openssl/crypto.h
-@@ -132,6 +132,10 @@
- extern "C" {
- #endif
- 
-+#ifndef __dead
-+#define __dead
-+#endif
-+
- /* Backward compatibility to SSLeay */
- /* This is more to be used to check the correct DLL is being used
-  * in the MS world. */
-@@ -488,7 +492,7 @@ typedef int *CRYPTO_MEM_LEAK_CB(unsigned long, const char *, int, int, void *);
- int CRYPTO_mem_leaks_cb(CRYPTO_MEM_LEAK_CB *cb);
- 
- /* die if we have to */
--void OpenSSLDie(const char *file, int line, const char *assertion);
-+__dead void OpenSSLDie(const char *file, int line, const char *assertion);
- #define OPENSSL_assert(e)       (void)((e) ? 0 : (OpenSSLDie(__FILE__, __LINE__, #e),1))
- 
- uint64_t OPENSSL_cpu_caps(void);

diff --git a/dev-libs/libressl/files/libressl-3.7.3-libcrypto-unexport-internal-symbols.patch b/dev-libs/libressl/files/libressl-3.7.3-libcrypto-unexport-internal-symbols.patch
deleted file mode 100644
index 40cc470..0000000
--- a/dev-libs/libressl/files/libressl-3.7.3-libcrypto-unexport-internal-symbols.patch
+++ /dev/null
@@ -1,234 +0,0 @@
-https://github.com/gentoo/libressl/issues/549
-https://github.com/libressl/portable/pull/808
-
-From b38f5a8904b83d433e967f683821ca992354551b Mon Sep 17 00:00:00 2001
-From: Brent Cook <busterb@gmail.com>
-Date: Sun, 18 Dec 2022 21:39:58 -0600
-Subject: [PATCH 1/4] fix dangling whitespace when building object list
-
-breaks latest macOS linker to have a directory in the object list
----
- tls/Makefile.am | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/tls/Makefile.am b/tls/Makefile.am
-index 9b62b2231e..d5725c362a 100644
---- a/tls/Makefile.am
-+++ b/tls/Makefile.am
-@@ -16,7 +16,7 @@ EXTRA_libtls_la_DEPENDENCIES = libtls_la_objects.mk
- 
- libtls_la_objects.mk: Makefile
- 	@echo "libtls_la_objects= $(libtls_la_OBJECTS)" \
--	  | sed 's/  */ $$\(abs_top_builddir\)\/tls\//g' \
-+	  | sed -e 's/ *$$//' -e 's/  */ $$\(abs_top_builddir\)\/tls\//g' \
- 	  > libtls_la_objects.mk
- 
- libtls_la_LDFLAGS = -version-info @LIBTLS_VERSION@ -no-undefined -export-symbols $(top_srcdir)/tls/tls.sym
-
-From cfbdf67f5960198363f56b06f6a4f88aa8654d10 Mon Sep 17 00:00:00 2001
-From: Brent Cook <busterb@gmail.com>
-Date: Sun, 18 Dec 2022 22:10:11 -0600
-Subject: [PATCH 2/4] link internal apps statically
-
----
- apps/nc/Makefile.am        | 11 +++++++----
- apps/ocspcheck/Makefile.am | 12 +++++++++---
- apps/openssl/Makefile.am   |  9 +++++++--
- 3 files changed, 23 insertions(+), 9 deletions(-)
-
-diff --git a/apps/nc/Makefile.am b/apps/nc/Makefile.am
-index e9db6e592b..aba306ed3b 100644
---- a/apps/nc/Makefile.am
-+++ b/apps/nc/Makefile.am
-@@ -1,6 +1,8 @@
- include $(top_srcdir)/Makefile.am.common
- 
- -include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
-+-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
-+-include $(abs_top_builddir)/tls/libtls_la_objects.mk
- 
- if BUILD_NC
- 
-@@ -14,12 +16,13 @@ endif
- EXTRA_DIST = nc.1
- EXTRA_DIST += CMakeLists.txt
- 
--nc_LDADD = $(abs_top_builddir)/tls/libtls.la
--nc_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
--
--nc_LDADD += $(libcrypto_la_objects)
-+nc_LDADD = $(libcrypto_la_objects)
- nc_LDADD += $(libcompat_la_objects)
- nc_LDADD += $(libcompatnoopt_la_objects)
-+nc_LDADD += $(libssl_la_objects)
-+nc_LDADD += $(libtls_la_objects)
-+
-+nc_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
- 
- AM_CPPFLAGS += -I$(top_srcdir)/apps/nc/compat
- 
-diff --git a/apps/ocspcheck/Makefile.am b/apps/ocspcheck/Makefile.am
-index 7c7b454313..e6f3c5436b 100644
---- a/apps/ocspcheck/Makefile.am
-+++ b/apps/ocspcheck/Makefile.am
-@@ -1,5 +1,9 @@
- include $(top_srcdir)/Makefile.am.common
- 
-+-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
-+-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
-+-include $(abs_top_builddir)/tls/libtls_la_objects.mk
-+
- if !ENABLE_LIBTLS_ONLY
- bin_PROGRAMS = ocspcheck
- dist_man_MANS = ocspcheck.8
-@@ -10,9 +14,11 @@ endif
- EXTRA_DIST = ocspcheck.8
- EXTRA_DIST += CMakeLists.txt
- 
--ocspcheck_LDADD = $(abs_top_builddir)/crypto/libcrypto.la
--ocspcheck_LDADD += $(abs_top_builddir)/ssl/libssl.la
--ocspcheck_LDADD += $(abs_top_builddir)/tls/libtls.la
-+ocspcheck_LDADD = $(libcrypto_la_objects)
-+ocspcheck_LDADD += $(libcompat_la_objects)
-+ocspcheck_LDADD += $(libcompatnoopt_la_objects)
-+ocspcheck_LDADD += $(libssl_la_objects)
-+ocspcheck_LDADD += $(libtls_la_objects)
- ocspcheck_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
- 
- ocspcheck_SOURCES = http.c
-diff --git a/apps/openssl/Makefile.am b/apps/openssl/Makefile.am
-index 7cbac48ae6..9574e06339 100644
---- a/apps/openssl/Makefile.am
-+++ b/apps/openssl/Makefile.am
-@@ -1,5 +1,8 @@
- include $(top_srcdir)/Makefile.am.common
- 
-+-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
-+-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
-+
- if !ENABLE_LIBTLS_ONLY
- bin_PROGRAMS = openssl
- dist_man_MANS = openssl.1
-@@ -7,8 +10,10 @@ else
- noinst_PROGRAMS = openssl
- endif
- 
--openssl_LDADD = $(abs_top_builddir)/ssl/libssl.la
--openssl_LDADD += $(abs_top_builddir)/crypto/libcrypto.la
-+openssl_LDADD = $(libcrypto_la_objects)
-+openssl_LDADD += $(libcompat_la_objects)
-+openssl_LDADD += $(libcompatnoopt_la_objects)
-+openssl_LDADD += $(libssl_la_objects)
- openssl_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
- 
- openssl_SOURCES = apps.c
-
-From f261e8c46e5ce6a15638275b95d9d5c145d35d9c Mon Sep 17 00:00:00 2001
-From: Brent Cook <busterb@gmail.com>
-Date: Tue, 28 Feb 2023 08:34:39 -0600
-Subject: [PATCH 4/4] unexport internal compat symbols from libcrypto
-
----
- crypto/Makefile.am | 66 ----------------------------------------------
- ssl/Makefile.am    |  4 +++
- 2 files changed, 4 insertions(+), 66 deletions(-)
-
-diff --git a/crypto/Makefile.am b/crypto/Makefile.am
-index c09d266b2e..0b5ba3f99f 100644
---- a/crypto/Makefile.am
-+++ b/crypto/Makefile.am
-@@ -44,73 +44,7 @@ crypto_portable.sym: crypto.sym  Makefile
- 	-echo "generating crypto_portable.sym ..."
- 	-cp $(top_srcdir)/crypto/crypto.sym crypto_portable.sym
- 	-chmod u+w crypto_portable.sym
--if !HAVE_ARC4RANDOM_BUF
--	-echo arc4random >> crypto_portable.sym
--	-echo arc4random_buf >> crypto_portable.sym
--	-echo arc4random_uniform >> crypto_portable.sym
--if !HAVE_GETENTROPY
--	-echo getentropy >> crypto_portable.sym
--endif
--endif
--if !HAVE_ASPRINTF
--	-echo asprintf >> crypto_portable.sym
--	-echo vasprintf >> crypto_portable.sym
--endif
--if !HAVE_EXPLICIT_BZERO
--	-echo explicit_bzero >> crypto_portable.sym
--endif
--if !HAVE_FREEZERO
--	-echo freezero >> crypto_portable.sym
--endif
--if !HAVE_REALLOCARRAY
--	-echo reallocarray >> crypto_portable.sym
--endif
--if !HAVE_RECALLOCARRAY
--	-echo recallocarray >> crypto_portable.sym
--endif
--if !HAVE_STRLCAT
--	-echo strlcat >> crypto_portable.sym
--endif
--if !HAVE_STRLCPY
--	-echo strlcpy >> crypto_portable.sym
--endif
--if !HAVE_STRNDUP
--	-echo strndup >> crypto_portable.sym
--endif
--if !HAVE_STRNLEN
--	-echo strnlen >> crypto_portable.sym
--endif
--if !HAVE_STRSEP
--	-echo strsep >> crypto_portable.sym
--endif
--if !HAVE_STRTONUM
--	-echo strtonum >> crypto_portable.sym
--endif
--if !HAVE_TIMEGM
--	-echo timegm >> crypto_portable.sym
--endif
--if !HAVE_TIMINGSAFE_BCMP
--	-echo timingsafe_bcmp >> crypto_portable.sym
--endif
--if !HAVE_TIMINGSAFE_MEMCMP
--	-echo timingsafe_memcmp >> crypto_portable.sym
--endif
--if HOST_CPU_IS_INTEL
--	-echo OPENSSL_ia32cap_P >> crypto_portable.sym
--endif
- if HOST_WIN
--	-echo posix_perror >> crypto_portable.sym
--	-echo posix_fopen >> crypto_portable.sym
--	-echo posix_fgets >> crypto_portable.sym
--	-echo posix_open >> crypto_portable.sym
--	-echo posix_rename >> crypto_portable.sym
--	-echo posix_connect >> crypto_portable.sym
--	-echo posix_close >> crypto_portable.sym
--	-echo posix_read >> crypto_portable.sym
--	-echo posix_write >> crypto_portable.sym
--	-echo posix_getsockopt >> crypto_portable.sym
--	-echo posix_setsockopt >> crypto_portable.sym
--	-echo getuid >> crypto_portable.sym
- 	-grep -v BIO_s_log crypto_portable.sym > crypto_portable.sym.tmp
- 	-mv crypto_portable.sym.tmp crypto_portable.sym
- endif
-diff --git a/ssl/Makefile.am b/ssl/Makefile.am
-index d27e2af835..002a26674a 100644
---- a/ssl/Makefile.am
-+++ b/ssl/Makefile.am
-@@ -1,5 +1,7 @@
- include $(top_srcdir)/Makefile.am.common
- 
-+-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
-+
- AM_CPPFLAGS += -I$(top_srcdir)/crypto/bio
- 
- noinst_LTLIBRARIES = libbs.la
-@@ -34,6 +36,8 @@ remove_bs_objects: libssl.la
- libssl_la_CPPFLAGS = -I$(top_srcdir)/ssl/hidden ${AM_CPPFLAGS}
- libssl_la_LDFLAGS = -version-info @LIBSSL_VERSION@ -no-undefined -export-symbols $(top_srcdir)/ssl/ssl.sym
- libssl_la_LIBADD = $(abs_top_builddir)/crypto/libcrypto.la $(PLATFORM_LDADD)
-+libssl_la_LIBADD += $(libcompat_la_objects)
-+libssl_la_LIBADD += $(libcompatnoopt_la_objects)
- libssl_la_LIBADD += libbs.la
- 
- libbs_la_SOURCES = bs_ber.c

diff --git a/dev-libs/libressl/libressl-3.7.3-r1.ebuild b/dev-libs/libressl/libressl-3.7.3-r1.ebuild
deleted file mode 100644
index f221896..0000000
--- a/dev-libs/libressl/libressl-3.7.3-r1.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libressl.asc
-inherit autotools multilib-minimal verify-sig
-
-DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
-HOMEPAGE="https://www.libressl.org/"
-SRC_URI="
-	https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz
-	verify-sig? ( https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz.asc )
-"
-
-LICENSE="ISC openssl"
-# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
-# we'll try to use the max of either. However, if either change between
-# versions, we have to change the subslot to trigger rebuild of consumers.
-SLOT="0/54"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~ppc-macos ~x64-macos ~x64-solaris"
-IUSE="+asm netcat static-libs test"
-RESTRICT="!test? ( test )"
-
-PDEPEND="app-misc/ca-certificates"
-BDEPEND="verify-sig? ( sec-keys/openpgp-keys-libressl )"
-RDEPEND="netcat? (
-	!net-analyzer/netcat
-	!net-analyzer/nmap[symlink]
-	!net-analyzer/openbsd-netcat
-)"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/openssl/opensslconf.h )
-
-# LibreSSL checks for libc features during configure
-QA_CONFIG_IMPL_DECL_SKIP=(
-	__va_copy
-	b64_ntop
-)
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-2.8.3-solaris10.patch
-	# Silences a Gentoo QA notice that is a false positive
-	# https://github.com/libressl/portable/issues/825
-	"${FILESDIR}"/${PN}-3.7.2-array-bounds.patch
-	# Gentoo's ssl-cert.eclass uses 'openssl genrsa -rand'
-	# which LibreSSL doesn't support.
-	# https://github.com/libressl/portable/issues/839
-	"${FILESDIR}"/${PN}-3.7.2-genrsa-rand.patch
-	# https://github.com/gentoo/libressl/issues/549
-	"${FILESDIR}"/${P}-libcrypto-unexport-internal-symbols.patch
-)
-
-src_prepare() {
-	default
-
-	eautoreconf
-}
-
-multilib_src_configure() {
-	local ECONF_SOURCE="${S}"
-	local args=(
-		$(use_enable asm)
-		$(use_enable static-libs static)
-		$(use_enable netcat nc)
-		$(use_enable test tests)
-	)
-	econf "${args[@]}"
-}
-
-multilib_src_install_all() {
-	einstalldocs
-	find "${D}" -name '*.la' -exec rm -f {} + || die
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/
@ 2023-05-01 13:39 orbea
  0 siblings, 0 replies; 6+ messages in thread
From: orbea @ 2023-05-01 13:39 UTC (permalink / raw
  To: gentoo-commits

commit:     88593f8e92b7005d723fd67c88592cfddedf9f35
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Mon May  1 13:28:00 2023 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Mon May  1 13:28:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=88593f8e

dev-libs/libressl: silence QA notice

This is a false positive that triggers a Gentoo QA notice that is caused
by GCC's inability to see that OPENSSL_assert() will not return
because it is in a different library.

/var/tmp/portage/dev-libs/libressl-3.7.1/work/libressl-3.7.1/ssl/s3_cbc.c:529:9: warning: 'memcpy' forming offset 128 is out of the bounds [0, 128] of object 'hmac_pad' with type 'unsigned char[128]' [-Warray-bounds]

Signed-off-by: orbea <orbea <AT> riseup.net>

 .../files/libressl-3.7.2-array-bounds.patch        | 24 +++++++++
 dev-libs/libressl/libressl-3.7.2-r2.ebuild         | 61 ++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/dev-libs/libressl/files/libressl-3.7.2-array-bounds.patch b/dev-libs/libressl/files/libressl-3.7.2-array-bounds.patch
new file mode 100644
index 0000000..7ebdc33
--- /dev/null
+++ b/dev-libs/libressl/files/libressl-3.7.2-array-bounds.patch
@@ -0,0 +1,24 @@
+https://github.com/libressl/portable/issues/825
+
+--- a/include/openssl/crypto.h
++++ b/include/openssl/crypto.h
+@@ -132,6 +132,10 @@
+ extern "C" {
+ #endif
+ 
++#ifndef __dead
++#define __dead
++#endif
++
+ /* Backward compatibility to SSLeay */
+ /* This is more to be used to check the correct DLL is being used
+  * in the MS world. */
+@@ -488,7 +492,7 @@ typedef int *CRYPTO_MEM_LEAK_CB(unsigned long, const char *, int, int, void *);
+ int CRYPTO_mem_leaks_cb(CRYPTO_MEM_LEAK_CB *cb);
+ 
+ /* die if we have to */
+-void OpenSSLDie(const char *file, int line, const char *assertion);
++__dead void OpenSSLDie(const char *file, int line, const char *assertion);
+ #define OPENSSL_assert(e)       (void)((e) ? 0 : (OpenSSLDie(__FILE__, __LINE__, #e),1))
+ 
+ uint64_t OPENSSL_cpu_caps(void);

diff --git a/dev-libs/libressl/libressl-3.7.2-r2.ebuild b/dev-libs/libressl/libressl-3.7.2-r2.ebuild
new file mode 100644
index 0000000..86de254
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.7.2-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools multilib-minimal verify-sig
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="
+	https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz
+	verify-sig? ( https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz.asc )
+"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/54"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+
+PDEPEND="app-misc/ca-certificates"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-libressl )"
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/libressl.asc
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/openssl/opensslconf.h )
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	# Silences a Gentoo QA notice that is a false positive
+	# https://github.com/libressl/portable/issues/825
+	"${FILESDIR}"/${PN}-3.7.2-array-bounds.patch
+	# Gentoo's ssl-cert.eclass uses 'openssl genrsa -rand'
+	# which LibreSSL doesn't support.
+	# https://github.com/libressl/portable/issues/839
+	"${FILESDIR}"/${PN}-3.7.2-genrsa-rand.patch
+)
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+multilib_src_configure() {
+	local ECONF_SOURCE="${S}"
+	local args=(
+		$(use_enable asm)
+		$(use_enable static-libs static)
+		$(use_enable test tests)
+	)
+	econf "${args[@]}"
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/
@ 2023-04-12 22:38 orbea
  0 siblings, 0 replies; 6+ messages in thread
From: orbea @ 2023-04-12 22:38 UTC (permalink / raw
  To: gentoo-commits

commit:     d0f826fcf489572f4f19c210c4f0032255e51cd9
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Wed Apr 12 22:35:37 2023 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Wed Apr 12 22:38:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=d0f826fc

dev-libs/libressl: Backport upstream patch

Backports an upstream patch for 3.6.2 that removes the dependency on
USE=static-libs when building the tests.

Ustream-Bug: https://github.com/libressl-portable/portable/issues/754
Upstream-Commit: https://github.com/libressl-portable/portable/commit/4f0f6ebd1aa1038923e08af6730a32cde3202f62
Upstream-PR: https://github.com/libressl-portable/portable/pull/806
Gentoo-PR: https://github.com/gentoo/libressl/pull/483
Gentoo-Commit: https://github.com/gentoo/libressl/commit/e448ded7b58f0ba6395468d98c932758310100b0
Signed-off-by: orbea <orbea <AT> riseup.net>

 .../files/libressl-3.7.0-no-static-tests.patch     | 69 ++++++++++++++++++++++
 dev-libs/libressl/libressl-3.6.2-r1.ebuild         | 10 ++--
 2 files changed, 74 insertions(+), 5 deletions(-)

diff --git a/dev-libs/libressl/files/libressl-3.7.0-no-static-tests.patch b/dev-libs/libressl/files/libressl-3.7.0-no-static-tests.patch
new file mode 100644
index 0000000..13eedd4
--- /dev/null
+++ b/dev-libs/libressl/files/libressl-3.7.0-no-static-tests.patch
@@ -0,0 +1,69 @@
+Upstream Bug: https://github.com/libressl-portable/portable/issues/754
+Upstream Commit: https://github.com/libressl-portable/portable/commit/4f0f6ebd1aa1038923e08af6730a32cde3202f62
+Upstream PR: https://github.com/libressl-portable/portable/pull/806
+
+From 4f0f6ebd1aa1038923e08af6730a32cde3202f62 Mon Sep 17 00:00:00 2001
+From: Brent Cook <busterb@gmail.com>
+Date: Tue, 13 Dec 2022 04:34:25 -0600
+Subject: [PATCH] Build a static test library with all symbols
+
+Build and link a special test library rather than assuming that the
+build has static libraries available.
+
+diff --git a/tests/Makefile.am b/tests/Makefile.am
+index 6fea2ebc9..26f6b7d73 100644
+--- a/tests/Makefile.am
++++ b/tests/Makefile.am
+@@ -1,5 +1,9 @@
+ include $(top_srcdir)/Makefile.am.common
+ 
++-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
++-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
++-include $(abs_top_builddir)/tls/libtls_la_objects.mk
++
+ AM_CPPFLAGS += -DLIBRESSL_CRYPTO_INTERNAL
+ 
+ AM_CPPFLAGS += -I $(top_srcdir)/crypto/asn1
+@@ -14,13 +18,15 @@ AM_CPPFLAGS += -I $(top_srcdir)/apps/openssl
+ AM_CPPFLAGS += -I $(top_srcdir)/apps/openssl/compat
+ AM_CPPFLAGS += -D_PATH_SSL_CA_FILE=\"$(top_srcdir)/cert.pem\"
+ 
+-LDADD = $(abs_top_builddir)/tls/.libs/libtls.a
+-LDADD += $(abs_top_builddir)/ssl/.libs/libssl.a
+-LDADD += $(abs_top_builddir)/crypto/.libs/libcrypto.a
+-LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
+-if HOST_ASM_MACOSX_X86_64
+-LDADD += $(abs_top_builddir)/crypto/.libs/libcrypto_la-cpuid-macosx-x86_64.o
+-endif
++noinst_LTLIBRARIES = libtest.la
++libtest_la_LIBADD = $(libcrypto_la_objects)
++libtest_la_LIBADD += $(libcompat_la_objects)
++libtest_la_LIBADD += $(libcompatnoopt_la_objects)
++libtest_la_LIBADD += $(libssl_la_objects)
++libtest_la_LIBADD += $(libtls_la_objects)
++libtest_la_SOURCES = empty.c
++
++LDADD = libtest.la $(PLATFORM_LDADD) $(PROG_LDADD)
+ 
+ TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(top_srcdir)/tap-driver.sh
+ 
+diff --git a/tls/Makefile.am b/tls/Makefile.am
+index 4d31c9282..160359c3f 100644
+--- a/tls/Makefile.am
++++ b/tls/Makefile.am
+@@ -9,6 +9,15 @@ EXTRA_DIST = VERSION
+ EXTRA_DIST += CMakeLists.txt
+ EXTRA_DIST += tls.sym
+ 
++CLEANFILES = libtls_la_objects.mk
++
++EXTRA_libtls_la_DEPENDENCIES = libtls_la_objects.mk
++
++libtls_la_objects.mk: Makefile
++	@echo "libtls_la_objects= $(libtls_la_OBJECTS)" \
++	  | sed 's/  */ $$\(abs_top_builddir\)\/tls\//g' \
++	  > libtls_la_objects.mk
++
+ libtls_la_LDFLAGS = -version-info @LIBTLS_VERSION@ -no-undefined -export-symbols $(top_srcdir)/tls/tls.sym
+ libtls_la_LIBADD = $(libcrypto_la_objects)
+ libtls_la_LIBADD += $(libcompat_la_objects)

diff --git a/dev-libs/libressl/libressl-3.6.2-r1.ebuild b/dev-libs/libressl/libressl-3.6.2-r1.ebuild
index b7e8276..e18202c 100644
--- a/dev-libs/libressl/libressl-3.6.2-r1.ebuild
+++ b/dev-libs/libressl/libressl-3.6.2-r1.ebuild
@@ -20,7 +20,6 @@ SLOT="0/53"
 KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~s390 ~sparc x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="+asm static-libs test"
 RESTRICT="!test? ( test )"
-REQUIRED_USE="test? ( static-libs )"
 
 PDEPEND="app-misc/ca-certificates"
 BDEPEND="verify-sig? ( sec-keys/openpgp-keys-libressl )"
@@ -33,11 +32,16 @@ PATCHES=(
 	# which LibreSSL doesn't support.
 	# https://github.com/libressl/portable/issues/839
 	"${FILESDIR}"/${PN}-3.6.2-genrsa-rand.patch
+	# https://github.com/libressl-portable/portable/pull/806
+	"${FILESDIR}"/${PN}-3.7.0-no-static-tests.patch
 )
 
 src_prepare() {
 	default
 
+	# Required for the no-static-tests.patch
+	touch tests/empty.c || die
+
 	eautoreconf
 }
 
@@ -51,10 +55,6 @@ multilib_src_configure() {
 	econf "${args[@]}"
 }
 
-multilib_src_test() {
-	emake check
-}
-
 multilib_src_install_all() {
 	einstalldocs
 	find "${D}" -name '*.la' -exec rm -f {} + || die


^ permalink raw reply related	[flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/
@ 2023-04-12  2:16 orbea
  0 siblings, 0 replies; 6+ messages in thread
From: orbea @ 2023-04-12  2:16 UTC (permalink / raw
  To: gentoo-commits

commit:     71f1ae9caa4335aaff05cb143312461a6e6105af
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Sat Apr  8 15:53:37 2023 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Wed Apr 12 01:59:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=71f1ae9c

dev-libs/libressl: Add 3.7.2 + Remove 3.7.0

Closes: https://github.com/gentoo/libressl/pull/512
Signed-off-by: orbea <orbea <AT> riseup.net>

 dev-libs/libressl/Manifest                         |  4 +-
 .../files/libressl-3.7.0-no-static-tests.patch     | 69 ----------------------
 ...libressl-3.7.0.ebuild => libressl-3.7.2.ebuild} |  9 +--
 3 files changed, 5 insertions(+), 77 deletions(-)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index 09b5c7d..3ec7011 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -2,7 +2,7 @@ DIST libressl-3.5.4.tar.gz 4039834 BLAKE2B 65d13e746a01a7bfb24b1b5d90b3ae1f421fc
 DIST libressl-3.5.4.tar.gz.asc 833 BLAKE2B b62aa4d8ce82e5dc59aade83a04e13e691166f7363a247382a78107d2fbe98c174d99c67966b25071caf6d24b57e097431c10a06d0aba176292267c85b41ac28 SHA512 4d8316888053e4f812f41c19c93c93c0a35ff958bbf845d472a25675551ad4480492158d14bc7a1d8cf1fda4d5d44c092b8db90b92d958e1f7e6404f053018cc
 DIST libressl-3.6.2.tar.gz 4239482 BLAKE2B 6c978ba3afcd031773184494470a53e67572ddcf793b591a8fb855c4801e4c84928c480c1a3b9f24ad13ab8fc3b3e9d01bebb3eda3112d947128347353964949 SHA512 8fc81e05d1c9f9259d06508ca97d5a1ba5d46b857088c273c20e6b242921f7eac58a1136564ad9831c923758ee63f7b0897c8c6c7b1e53ab8132a995cc559aeb
 DIST libressl-3.6.2.tar.gz.asc 833 BLAKE2B 1c5b5041277d1bb79fc752bf6872e6b45407f206cbf57e51de525e277c2a6b2819ba6d765154b8ff8f0137df99fcee163333844b80c0f1dd099da7ca769d2437 SHA512 e983936800a84d193c357c8f3f7fbdc5af9750bcf4f6429cfac92147f97a5cc673a6916564f26f4449b1c7a35a40f6c23ecfc81cecc8550aa174750afb014802
-DIST libressl-3.7.0.tar.gz 4260077 BLAKE2B c94131d5d7f12c3d197af98f36105b34a92da8fd7b2120c8bfde7050087df654dbaca77d874bcf809eecfdd21f78768da2293d9ab400629e25b1e94aa1803ace SHA512 913f24aa84ce4a5034a62fce3dc19e27e39cf67f2e2b172adf4dd2ca36009c7ea60945a188bd8ea4b9fbd48c0ab8c3926207eba65d88d559c60bef49cbb96f68
-DIST libressl-3.7.0.tar.gz.asc 833 BLAKE2B 8cbd34dc8cf41f79537a8189c60672696ce8a15ce49c26788f7943600b0c9888d420308f983d478750138adff76606ab3942e3a51791647be51ff7952ed1f116 SHA512 5df0cfb2078a3eed7fcf002e4563521d1b12cd4dd693b4d8d8dbe5d89876d9893e75c30248b67304aec7a41b1d556a5d55b33951945084838bfbe72423d059a3
 DIST libressl-3.7.1.tar.gz 4299952 BLAKE2B 91c88963c1cc6568f8c023ebec589af4ac29958fa201906d370575ff5035b0fef73ea837ea846c25304bc88a085ae77606e13491b98fe9aaff1c97b6abe30486 SHA512 94c0f2b82d5b16ef43e481ecc281cb9b33687d4214f77e1da9b67bbed7115d847ba1c61aa5399f4ccb5c658e29ab945f178ea2448e7ea70633397a6c71de5d79
 DIST libressl-3.7.1.tar.gz.asc 833 BLAKE2B d703f286dac1f6a259f6f46f0a9b53d4086e5a046ebd6af26605aa8a52c7d7a800ab6e246b98b6020fbac34a350f3e78ebb5fb394af8f4819c31114f034c37d6 SHA512 114453643228d88acaf24ebbfad6d276af425249a84f6cc77e22098591961f919d8ea10080898d254dc6727dd01ace4e872e001a5b3bec71f21b9ccf9bcf5882
+DIST libressl-3.7.2.tar.gz 4336143 BLAKE2B b68eb2d31b438e6b2f67e178d92a49eb95515c6545c88aae39d4d895a96753e26b0aae907eef76387b31f88afdcc3e97ba46182adae318f9014c26466448c487 SHA512 289d7aae073881a7466d226989218b8d09ada915d3332ef820736ffc5577d2fdcd9aa0713e3b08f921052cd835a25ab36301d9250055eb6ef9265b980deccb97
+DIST libressl-3.7.2.tar.gz.asc 833 BLAKE2B ced54101719018670bc7e9338787707b58b6a9ef2fc662b3367ca47640e3b9292acebc4cacec1908e4f3682fdeb9af99fe0d69754965740c0682303d69dceb3b SHA512 b25ace89dfc3c172224f4c80e8aa1ad314ba116e8b867c9d2a708172a9e05c5c505c2d43a13f4bd443a940ed6339b067021d54ac3a9e084e1f44c48f29fd4cfc

diff --git a/dev-libs/libressl/files/libressl-3.7.0-no-static-tests.patch b/dev-libs/libressl/files/libressl-3.7.0-no-static-tests.patch
deleted file mode 100644
index 13eedd4..0000000
--- a/dev-libs/libressl/files/libressl-3.7.0-no-static-tests.patch
+++ /dev/null
@@ -1,69 +0,0 @@
-Upstream Bug: https://github.com/libressl-portable/portable/issues/754
-Upstream Commit: https://github.com/libressl-portable/portable/commit/4f0f6ebd1aa1038923e08af6730a32cde3202f62
-Upstream PR: https://github.com/libressl-portable/portable/pull/806
-
-From 4f0f6ebd1aa1038923e08af6730a32cde3202f62 Mon Sep 17 00:00:00 2001
-From: Brent Cook <busterb@gmail.com>
-Date: Tue, 13 Dec 2022 04:34:25 -0600
-Subject: [PATCH] Build a static test library with all symbols
-
-Build and link a special test library rather than assuming that the
-build has static libraries available.
-
-diff --git a/tests/Makefile.am b/tests/Makefile.am
-index 6fea2ebc9..26f6b7d73 100644
---- a/tests/Makefile.am
-+++ b/tests/Makefile.am
-@@ -1,5 +1,9 @@
- include $(top_srcdir)/Makefile.am.common
- 
-+-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
-+-include $(abs_top_builddir)/ssl/libssl_la_objects.mk
-+-include $(abs_top_builddir)/tls/libtls_la_objects.mk
-+
- AM_CPPFLAGS += -DLIBRESSL_CRYPTO_INTERNAL
- 
- AM_CPPFLAGS += -I $(top_srcdir)/crypto/asn1
-@@ -14,13 +18,15 @@ AM_CPPFLAGS += -I $(top_srcdir)/apps/openssl
- AM_CPPFLAGS += -I $(top_srcdir)/apps/openssl/compat
- AM_CPPFLAGS += -D_PATH_SSL_CA_FILE=\"$(top_srcdir)/cert.pem\"
- 
--LDADD = $(abs_top_builddir)/tls/.libs/libtls.a
--LDADD += $(abs_top_builddir)/ssl/.libs/libssl.a
--LDADD += $(abs_top_builddir)/crypto/.libs/libcrypto.a
--LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
--if HOST_ASM_MACOSX_X86_64
--LDADD += $(abs_top_builddir)/crypto/.libs/libcrypto_la-cpuid-macosx-x86_64.o
--endif
-+noinst_LTLIBRARIES = libtest.la
-+libtest_la_LIBADD = $(libcrypto_la_objects)
-+libtest_la_LIBADD += $(libcompat_la_objects)
-+libtest_la_LIBADD += $(libcompatnoopt_la_objects)
-+libtest_la_LIBADD += $(libssl_la_objects)
-+libtest_la_LIBADD += $(libtls_la_objects)
-+libtest_la_SOURCES = empty.c
-+
-+LDADD = libtest.la $(PLATFORM_LDADD) $(PROG_LDADD)
- 
- TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(top_srcdir)/tap-driver.sh
- 
-diff --git a/tls/Makefile.am b/tls/Makefile.am
-index 4d31c9282..160359c3f 100644
---- a/tls/Makefile.am
-+++ b/tls/Makefile.am
-@@ -9,6 +9,15 @@ EXTRA_DIST = VERSION
- EXTRA_DIST += CMakeLists.txt
- EXTRA_DIST += tls.sym
- 
-+CLEANFILES = libtls_la_objects.mk
-+
-+EXTRA_libtls_la_DEPENDENCIES = libtls_la_objects.mk
-+
-+libtls_la_objects.mk: Makefile
-+	@echo "libtls_la_objects= $(libtls_la_OBJECTS)" \
-+	  | sed 's/  */ $$\(abs_top_builddir\)\/tls\//g' \
-+	  > libtls_la_objects.mk
-+
- libtls_la_LDFLAGS = -version-info @LIBTLS_VERSION@ -no-undefined -export-symbols $(top_srcdir)/tls/tls.sym
- libtls_la_LIBADD = $(libcrypto_la_objects)
- libtls_la_LIBADD += $(libcompat_la_objects)

diff --git a/dev-libs/libressl/libressl-3.7.0.ebuild b/dev-libs/libressl/libressl-3.7.2.ebuild
similarity index 87%
rename from dev-libs/libressl/libressl-3.7.0.ebuild
rename to dev-libs/libressl/libressl-3.7.2.ebuild
index f5770bf..168cab3 100644
--- a/dev-libs/libressl/libressl-3.7.0.ebuild
+++ b/dev-libs/libressl/libressl-3.7.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -26,18 +26,15 @@ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-libressl )"
 
 VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/libressl.asc
 
+MULTILIB_WRAPPED_HEADERS=( /usr/include/openssl/opensslconf.h )
+
 PATCHES=(
 	"${FILESDIR}"/${PN}-2.8.3-solaris10.patch
-	# https://github.com/libressl-portable/portable/pull/806
-	"${FILESDIR}"/${P}-no-static-tests.patch
 )
 
 src_prepare() {
 	default
 
-	# Required for the no-static-tests.patch
-	touch tests/empty.c || die
-
 	eautoreconf
 }
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/
@ 2021-04-25 15:55 Quentin Retornaz
  0 siblings, 0 replies; 6+ messages in thread
From: Quentin Retornaz @ 2021-04-25 15:55 UTC (permalink / raw
  To: gentoo-commits

commit:     1c68a4fd4b3f817f1fe596f737b039cc93343552
Author:     Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
AuthorDate: Sun Apr 25 15:54:16 2021 +0000
Commit:     Quentin Retornaz <gentoo <AT> retornaz <DOT> com>
CommitDate: Sun Apr 25 15:54:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=1c68a4fd

dev-libs/libressl: move from ::gentoo

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Quentin Retornaz <gentoo <AT> retornaz.com>

 dev-libs/libressl/Manifest                         | 10 ++++
 .../libressl/files/libressl-2.8.3-solaris10.patch  | 69 ++++++++++++++++++++++
 .../libressl/files/libressl-2.9.2-non-glibc.patch  | 32 ++++++++++
 dev-libs/libressl/files/libressl-3.2.2-build.patch | 56 ++++++++++++++++++
 dev-libs/libressl/libressl-2.9.2.ebuild            | 63 ++++++++++++++++++++
 dev-libs/libressl/libressl-3.0.2.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.1.3.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.1.4.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.1.5.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.2.0.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.2.1.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.2.3.ebuild            | 62 +++++++++++++++++++
 dev-libs/libressl/libressl-3.3.0.ebuild            | 63 ++++++++++++++++++++
 dev-libs/libressl/libressl-3.3.1.ebuild            | 63 ++++++++++++++++++++
 dev-libs/libressl/metadata.xml                     | 30 ++++++++++
 15 files changed, 820 insertions(+)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
new file mode 100644
index 0000000..5150e4c
--- /dev/null
+++ b/dev-libs/libressl/Manifest
@@ -0,0 +1,10 @@
+DIST libressl-2.9.2.tar.gz 3607549 BLAKE2B 496e993e4f1c85167e0344afab61259d4e3f094a7e5dfac85878191070e2c196753162532efb921fab582481aeda3705fca9a2b48921cba82465192f2c1eef95 SHA512 b43e73e47c1f14da3c702ab42f29f1d67645a4fa425441337bd6c125b481ef78a40fd13e6b34dadb2af337e1c0c190cfb616186d4db9c9a743a37e594b9b8033
+DIST libressl-3.0.2.tar.gz 3669468 BLAKE2B 84ad2c1fea8d2119f191ec8ab3f999fb0354636d48aabb76fa1786139c669c9d8ca105d79cc8416dd20683818eccc84490cdadc9ca94cb2b0e411644e923a3d6 SHA512 19226da3bc9776e1da40b8e94dfa53564d5e6acc80edee539ba12d7a75c1bb8c0603e7633f26a6ef8b12adc56bb677ccda448575aa6be2ad3df5447465a4b080
+DIST libressl-3.1.3.tar.gz 3766345 BLAKE2B 4956fa0ae6030e9e9969d584db3bc0084c4b155207d1472ebfa40c8e68e925214b66ed1bc7e32d98a9a48de0b61909323a0380a973c724422c92bfe88b9fdfb2 SHA512 f9f497fe5d09b8b762175da038a8e67d9d2567462fefc49e434d306a3071ba3a4d369c89143d9d90e3bbcc7b9ba051c9c923a0dfc41d856edc08ae59fa727ee8
+DIST libressl-3.1.4.tar.gz 3767238 BLAKE2B e639349e50f985360f2cef01b16b5c8f3c725d4a9bbee1117787174e4de6eb9b14cc8ad5f1704971057dd0f5000eea01f3b172178c534c70d38921418034d94c SHA512 77a53c4294fc332006502dc3af069346e2c9efc9240de7f91eb48e89043525900b5b23652cfd159221c3a482cc01e263611adb752e23b707f965156e3a7cd895
+DIST libressl-3.1.5.tar.gz 3767605 BLAKE2B 9dc97caac831591c150ef0fc9b36970e5c18b1793294b074b5c42176cd7eafbdb713461757edab7072fc0a770480db5987252c9a960cfebeaa3ef5341de2a290 SHA512 b1e576a654d4f740ef466e5291344ee9a65276f2a1d4975bf93c407b8b51d78dd99f381f1d14162ed1f6b6e7f14a67ccdd377e7d9f71ef2875cc8cf17f580c51
+DIST libressl-3.2.0.tar.gz 3775925 BLAKE2B 99d74fad16e272be8e3b23b873c35970ce3693e088baf365670ad8e8cbb846e90f4232bbc6c65b70a35060da99b9b210b3debce1c78d531e810de26e3e2f05cb SHA512 e8bf95af4e4e855b0462eb12df8f802102a3bee5bb40fb1859e7c40d9e3ce89f0d2eb0acdd923e7c592b4aeb7ecc556f753c0a12d0dace05d2ef342bffdd9d07
+DIST libressl-3.2.1.tar.gz 3798341 BLAKE2B 25d4d0fa758d92fd781f39000e631d7cec0a5a8210b2b127b7d49ef0e96e1a20a45f60e6231dcbe379f57f19c1ca8a4dde6205b1cc52ee44d17a4a21da34c98a SHA512 0204177ad0291f3fce4c77ab21cce17785d0239f2ae4be8fbdce5575cc98775186caa0e1851b211c05be07e3cc603111eeaac4379c8977e7b140fedee2551f93
+DIST libressl-3.2.3.tar.gz 3839953 BLAKE2B 219c9c2e78952d56dd9eadb92c9732f426cbdd20a2dc905d827ca0547a347065f3347e960dee7456994d8d52d8cb19a028add3e9f343a20864dbb15f4e6654c8 SHA512 8c281f5a155a4cc9bfeb31767d8c29de6ceec602649ff98460c44c4b2c15999799d5549ce07a823a4f7f20f9b441f8718b3ef8eac19ddb6cf6d150e6fe8c9d13
+DIST libressl-3.3.0.tar.gz 3837684 BLAKE2B 0b2947fa00f86829b574beedc462ed7e602b417f057c8bcf966508952e10c17709a4ea484e4b8699eee2cee228e00518a25c9eedd96534273c56a467cdc0c39b SHA512 3ea1339719b85234e4db8753eb11b760b9969bf0917d2556126bb048fc41022def628995587e438781092dcc49233109641b174f156cc4ec451fe8a217372cec
+DIST libressl-3.3.1.tar.gz 3838592 BLAKE2B 67c5bd72c1d1085c13fd3bf2e3829a6b83d61c3c9af5f5e65dca7548abe967f0ec8ebe3c46c6af576c54304b432069aab9d940bded90925cb44fffa7a8f35c29 SHA512 a0a6c10af71c6932a63381f33b2d0fe38b28d1c3c62c0c2de770695152f6eb3c558fdedd2fb6cdf34bd9a2dd3887aec615b652cbc3c1eed6c3c973c787a0c294

diff --git a/dev-libs/libressl/files/libressl-2.8.3-solaris10.patch b/dev-libs/libressl/files/libressl-2.8.3-solaris10.patch
new file mode 100644
index 0000000..20a0af0
--- /dev/null
+++ b/dev-libs/libressl/files/libressl-2.8.3-solaris10.patch
@@ -0,0 +1,69 @@
+From libressl  Thu Jul 21 09:25:08 2016
+From: schily () schily ! net (Joerg Schilling)
+Date: Thu, 21 Jul 2016 09:25:08 +0000
+To: libressl
+Subject: Non-portable code in ./crypto/compat/getentropy_solaris.c
+Message-Id: <579094f4.Ca9M384ri4oiBOIa%schily () schily ! net>
+X-MARC-Message: https://marc.info/?l=libressl&m=146910737815443
+
+Hi,
+
+the code works only on Solaris based on OpenSolaris-ON from February 18 2010 or 
+later.
+
+Many people however still use Solaris 10.
+
+BTW: there is an official portable ELF way based on the AUX vector to do the same 
+but this was unfortunately not made a public libc interface, so it would need to 
+be incorporated into your code:
+
+https://sourceforge.net/p/schillix-on/schillix-on/ci/default/tree/usr/src/lib/libc/port/gen/getauxv.c
+
+___getauxptr(AT_PHDR)	returns the address of &phdr[0]
+___getauxval(AT_PHENT)	returns sizeof(phdr[0])
+___getauxval(AT_PHNUM)	returns # phdr entries
+
+
+Here is a patch to disable the non-portable code getting the code to compile at 
+all:
+
+
+
+--- a/crypto/compat/getentropy_solaris.c
++++ b/crypto/compat/getentropy_solaris.c
+@@ -72,7 +72,9 @@
+ static int getentropy_urandom(void *buf, size_t len, const char *path,
+     int devfscheck);
+ static int getentropy_fallback(void *buf, size_t len);
++#ifdef	ElfW
+ static int getentropy_phdr(struct dl_phdr_info *info, size_t size, void *data);
++#endif
+ 
+ int
+ getentropy(void *buf, size_t len)
+@@ -244,6 +246,7 @@
+ #endif
+ };
+ 
++#ifdef	ElfW
+ static int
+ getentropy_phdr(struct dl_phdr_info *info, size_t size, void *data)
+ {
+@@ -252,6 +255,7 @@
+ 	SHA512_Update(ctx, &info->dlpi_addr, sizeof (info->dlpi_addr));
+ 	return (0);
+ }
++#endif
+ 
+ static int
+ getentropy_fallback(void *buf, size_t len)
+@@ -290,7 +294,9 @@
+ 				cnt += (int)tv.tv_usec;
+ 			}
+ 
++#ifdef	ElfW
+ 			dl_iterate_phdr(getentropy_phdr, &ctx);
++#endif
+ 
+ 			for (ii = 0; ii < sizeof(cl)/sizeof(cl[0]); ii++)
+ 				HX(clock_gettime(cl[ii], &ts) == -1, ts);

diff --git a/dev-libs/libressl/files/libressl-2.9.2-non-glibc.patch b/dev-libs/libressl/files/libressl-2.9.2-non-glibc.patch
new file mode 100644
index 0000000..b00316d
--- /dev/null
+++ b/dev-libs/libressl/files/libressl-2.9.2-non-glibc.patch
@@ -0,0 +1,32 @@
+From a9f0b2143c3154da34b8798127263f6f11f61bd5 Mon Sep 17 00:00:00 2001
+From: Ishimoto Shinobu <47295761+protonesso@users.noreply.github.com>
+Date: Tue, 21 May 2019 22:41:05 +0900
+Subject: [PATCH] avoid glibc
+
+cause problems on musl systems
+
+Upstream-Status: Backport
+[https://github.com/libressl-portable/portable/pull/529]
+Signed-off-by: Stefan Strogin <steils@gentoo.org>
+---
+ crypto/compat/getprogname_linux.c | 4 +---
+ 1 file changed, 1 insertion(+), 3 deletions(-)
+
+diff --git a/crypto/compat/getprogname_linux.c b/crypto/compat/getprogname_linux.c
+index 2c89743..4e7e31f 100644
+--- a/crypto/compat/getprogname_linux.c
++++ b/crypto/compat/getprogname_linux.c
+@@ -26,9 +26,7 @@ getprogname(void)
+ #if defined(__ANDROID_API__) && __ANDROID_API__ < 21
+ 	extern const char *__progname;
+ 	return __progname;
+-#elif defined(__GLIBC__)
+-	return program_invocation_short_name;
+ #else
+-#error "Cannot emulate getprogname"
++	return program_invocation_short_name;
+ #endif
+ }
+-- 
+2.21.0
+

diff --git a/dev-libs/libressl/files/libressl-3.2.2-build.patch b/dev-libs/libressl/files/libressl-3.2.2-build.patch
new file mode 100644
index 0000000..586e7a7
--- /dev/null
+++ b/dev-libs/libressl/files/libressl-3.2.2-build.patch
@@ -0,0 +1,56 @@
+From 9abd36e3af5876f67c633f27496ad5660ab7fe24 Mon Sep 17 00:00:00 2001
+From: Brent Cook <busterb@gmail.com>
+Date: Sun, 18 Oct 2020 22:14:03 -0500
+Subject: [PATCH] modify nc build to link libcompat objects directly
+
+Rather than assuming the static version of libcrypto exists for pulling in the compatibility functions, link the compat objects directly. This modifies the object file generation script a bit to handle the empty-case properly as well.
+---
+ apps/nc/Makefile.am | 8 ++++++--
+ crypto/Makefile.am  | 4 ++--
+ 2 files changed, 8 insertions(+), 4 deletions(-)
+
+diff --git a/apps/nc/Makefile.am b/apps/nc/Makefile.am
+index d678f1eda..58b5c0118 100644
+--- a/apps/nc/Makefile.am
++++ b/apps/nc/Makefile.am
+@@ -1,5 +1,7 @@
+ include $(top_srcdir)/Makefile.am.common
+ 
++-include $(abs_top_builddir)/crypto/libcrypto_la_objects.mk
++
+ if BUILD_NC
+ 
+ if ENABLE_NC
+@@ -12,11 +14,13 @@ endif
+ EXTRA_DIST = nc.1
+ EXTRA_DIST += CMakeLists.txt
+ 
+-nc_LDFLAGS = $(abs_top_builddir)/crypto/.libs/libcrypto.a
+-
+ nc_LDADD = $(abs_top_builddir)/tls/libtls.la
+ nc_LDADD += $(PLATFORM_LDADD) $(PROG_LDADD)
+ 
++nc_LDADD += $(libcrypto_la_objects)
++nc_LDADD += $(libcompat_la_objects)
++nc_LDADD += $(libcompatnoopt_la_objects)
++
+ AM_CPPFLAGS += -I$(top_srcdir)/apps/nc/compat
+ 
+ nc_SOURCES = atomicio.c
+diff --git a/crypto/Makefile.am b/crypto/Makefile.am
+index 97a84e1a7..e32ca96c3 100644
+--- a/crypto/Makefile.am
++++ b/crypto/Makefile.am
+@@ -99,10 +99,10 @@ libcrypto_la_objects.mk: Makefile
+ 	  | sed 's/  */ $$\(abs_top_builddir\)\/crypto\//g' \
+ 	  > libcrypto_la_objects.mk
+ 	@echo "libcompat_la_objects= $(libcompat_la_OBJECTS)" \
+-	  | sed 's/  */ $$\(abs_top_builddir\)\/crypto\//g' \
++	  | sed 's/compat\// $$\(abs_top_builddir\)\/crypto\/&/g' \
+ 	  >> libcrypto_la_objects.mk
+ 	@echo "libcompatnoopt_la_objects= $(libcompatnoopt_la_OBJECTS)" \
+-	  | sed 's/  */ $$\(abs_top_builddir\)\/crypto\//g' \
++	  | sed 's/compat\// $$\(abs_top_builddir\)\/crypto\/&/g' \
+ 	  >> libcrypto_la_objects.mk
+ 
+ libcrypto_la_LDFLAGS = -version-info @LIBCRYPTO_VERSION@ -no-undefined -export-symbols crypto_portable.sym

diff --git a/dev-libs/libressl/libressl-2.9.2.ebuild b/dev-libs/libressl/libressl-2.9.2.ebuild
new file mode 100644
index 0000000..515b2a4
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.9.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so.  Since these can differ,
+# we'll try to use the max of either.  However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/47"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply "${FILESDIR}"/${P}-non-glibc.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.0.2.ebuild b/dev-libs/libressl/libressl-3.0.2.ebuild
new file mode 100644
index 0000000..06fccf5
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.0.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so.  Since these can differ,
+# we'll try to use the max of either.  However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/47"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sparc x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.1.3.ebuild b/dev-libs/libressl/libressl-3.1.3.ebuild
new file mode 100644
index 0000000..e7248a0
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.1.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.1.4.ebuild b/dev-libs/libressl/libressl-3.1.4.ebuild
new file mode 100644
index 0000000..e7248a0
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.1.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.1.5.ebuild b/dev-libs/libressl/libressl-3.1.5.ebuild
new file mode 100644
index 0000000..e7248a0
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.1.5.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.2.0.ebuild b/dev-libs/libressl/libressl-3.2.0.ebuild
new file mode 100644
index 0000000..d487867
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.2.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.2.1.ebuild b/dev-libs/libressl/libressl-3.2.1.ebuild
new file mode 100644
index 0000000..d487867
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.2.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.2.3.ebuild b/dev-libs/libressl/libressl-3.2.3.ebuild
new file mode 100644
index 0000000..d487867
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.2.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.3.0.ebuild b/dev-libs/libressl/libressl-3.3.0.ebuild
new file mode 100644
index 0000000..7de8ec1
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.3.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	#eapply "${FILESDIR}"/${PN}-3.2.2-build.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-3.3.1.ebuild b/dev-libs/libressl/libressl-3.3.1.ebuild
new file mode 100644
index 0000000..b92c362
--- /dev/null
+++ b/dev-libs/libressl/libressl-3.3.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal libtool
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/"
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/48"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asm static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( static-libs )"
+
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+	touch crypto/Makefile.in
+
+	sed -i \
+		-e '/^[ \t]*CFLAGS=/s#-g ##' \
+		-e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+		-e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+		-e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+		configure || die "fixing CFLAGS failed"
+
+	if ! use test ; then
+	sed -i \
+		-e '/^[ \t]*SUBDIRS =/s#tests##' \
+		Makefile.in || die "Removing tests failed"
+	fi
+
+	eapply "${FILESDIR}"/${PN}-2.8.3-solaris10.patch
+	#eapply "${FILESDIR}"/${PN}-3.2.2-build.patch
+	eapply_user
+
+	elibtoolize  # for Solaris
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		$(use_enable asm) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_test() {
+	emake check
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/metadata.xml b/dev-libs/libressl/metadata.xml
new file mode 100644
index 0000000..a7201a6
--- /dev/null
+++ b/dev-libs/libressl/metadata.xml
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>libressl@gentoo.org</email>
+	</maintainer>
+	<longdescription lang="en">
+		LibreSSL is a version of the TLS/crypto stack forked from OpenSSL in
+		2014, with goals of modernizing the codebase, improving security, and
+		applying best practice development processes.
+	</longdescription>
+	<use>
+		<flag name="asm">Enables assembly</flag>
+	</use>
+	<upstream>
+		<changelog>http://www.libressl.org/releases.html</changelog>
+		<bugs-to>
+			https://github.com/libressl-portable/portable/issues
+		</bugs-to>
+		<remote-id type="github">libressl-portable/portable</remote-id>
+	</upstream>
+	<slots>
+		<slot name="0">
+			Pin source packages to SLOT 0, as binary compatibility slots are expected to come and go.
+		</slot>
+		<subslots>
+			Reflect ABI of libcrypto.so and libssl.so only, NOT libtls.so.
+		</subslots>
+	</slots>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2024-04-08 18:48 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-02-24 16:07 [gentoo-commits] repo/proj/libressl:master commit in: dev-libs/libressl/, dev-libs/libressl/files/ orbea
  -- strict thread matches above, loose matches on Subject: below --
2024-04-08 18:48 orbea
2023-05-01 13:39 orbea
2023-04-12 22:38 orbea
2023-04-12  2:16 orbea
2021-04-25 15:55 Quentin Retornaz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox